package java.awt.event;

import java.awt.Adjustable;
import java.awt.AWTEvent;

public class AdjustmentEvent extends AWTEvent
{
    public static final int ADJUSTMENT_FIRST = 601;
    public static final int ADJUSTMENT_LAST = 601;
    public static final int ADJUSTMENT_VALUE_CHANGED = 601;
    public static final int UNIT_INCREMENT = 1;
    public static final int UNIT_DECREMENT = 2;
    public static final int BLOCK_DECREMENT = 3;
    public static final int BLOCK_INCREMENT = 4;
    public static final int TRACK = 5;
    Adjustable adjustable;
    int value;
    int adjustmentType;
    boolean isAdjusting;
    private static final long serialVersionUID = 5700290645205279921L;
    
    public AdjustmentEvent(Adjustable adjustable, int n, int n2, int n3) {
        this(adjustable, n, n2, n3, false);
    }
    
    public AdjustmentEvent(Adjustable adjustable, int id, int adjustmentType, int value, boolean isAdjusting) {
        super(adjustable, id);
        this.adjustable = adjustable;
        this.adjustmentType = adjustmentType;
        this.value = value;
        this.isAdjusting = isAdjusting;
    }
    
    public Adjustable getAdjustable() {
        return this.adjustable;
    }
    
    public int getValue() {
        return this.value;
    }
    
    public int getAdjustmentType() {
        return this.adjustmentType;
    }
    
    public boolean getValueIsAdjusting() {
        return this.isAdjusting;
    }
    
    @Override
    public String paramString() {
        String str;
        switch (this.id) {
            case 601: {
                str = "ADJUSTMENT_VALUE_CHANGED";
                break;
            }
            default: {
                str = "unknown type";
                break;
            }
        }
        String str2;
        switch (this.adjustmentType) {
            case 1: {
                str2 = "UNIT_INCREMENT";
                break;
            }
            case 2: {
                str2 = "UNIT_DECREMENT";
                break;
            }
            case 4: {
                str2 = "BLOCK_INCREMENT";
                break;
            }
            case 3: {
                str2 = "BLOCK_DECREMENT";
                break;
            }
            case 5: {
                str2 = "TRACK";
                break;
            }
            default: {
                str2 = "unknown type";
                break;
            }
        }
        return str + ",adjType=" + str2 + ",value=" + this.value + ",isAdjusting=" + this.isAdjusting;
    }
}
